#
# spec file for package libQtShadowsocks
#
# Copyright (c) 2015 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

%define oname libQtShadowsocks

%define major 1
%define libname %mklibname qtshadowsocks %major
%define libname_o %mklibname QtShadowsocks %major
%define develname %mklibname -d qtshadowsocks
%define develname_o %mklibname -d QtShadowsocks

Name:		libqtshadowsocks
Version:	1.8.2
Release:	%mkrel 2
License:	LGPL-3.0+
Summary:	A Shadowsocks library written in C++/Qt5
Url:		https://github.com/librehat/libQtShadowsocks
Group:		Networking/Other
Source:		%{oname}-%{version}.tar.gz
Patch:		lib64.patch
BuildRequires:	gcc-c++
BuildRequires:	qt5-devel
BuildRequires:	pkgconfig(botan-1.10)

%description
A lightweight and ultra-fast shadowsocks client and/or server written in C++
with Qt 5.

%package -n shadowsocks-libqss
Summary:	A Shadowsocks client and/or server written in C++/Qt5
Conflicts:	%{libname} < 1.6.1-4

%description -n shadowsocks-libqss
A lightweight and ultra-fast shadowsocks client and/or server written in C++
with Qt 5.

%package -n %{libname}
Summary:	A Shadowsocks library written in C++/Qt5
Group:		System/Libraries
Provides:	%{libname_o} = %{version}
Obsoletes:	%{libname_o} < 1.6.1-3

%description -n %{libname}
libQtShadowsocks is a lightweight library for shadowsocks.

It is written in C++ using Qt5 frameworks. Therefore, the
major purpose of this project is to provide a
developer-friendly shadowsocks library, mainly for Qt
applications, i.e. shadowsocks-qt5.

The client utilises this library. You can check the code
to see how to use libQtShadowsocks in your project.
client can also be used as both Shadowsocks local client
and Shadowsocks server.

%package -n %{develname}
Summary:	Development headers for libQtShadowsocks
Group:		Development/C++ 
Requires:	%{libname} = %{version}
Provides:	%{develname_o} = %{version}
Obsoletes:	%{develname_o} < 1.6.1-3

%description -n %{develname}
This package provides development headers for libQtShadowsocks.

%prep
%setup -q -n %{oname}-%{version}
%ifarch x86_64
%patch -p1
%endif

%build
%qmake_qt5 PREFIX=%{_prefix}
%make

%install
%makeinstall INSTALL_ROOT=%{buildroot}

%files -n shadowsocks-libqss
%{_bindir}/shadowsocks-libqss

%files -n %{libname}
%doc LICENSE README.md
%{_qt5_libdir}/libQtShadowsocks.so.%{major}
%{_qt5_libdir}/libQtShadowsocks.so.%{major}.*

%files -n %{develname}
%{_includedir}/qtshadowsocks
%{_qt5_libdir}/libQtShadowsocks.so
%{_qt5_libdir}/pkgconfig/QtShadowsocks.pc


%changelog
* Fri Feb 12 2016 luigiwalser <luigiwalser> 1.8.2-2.mga6
+ Revision: 956064
- rebuild for botan

* Sat Dec 26 2015 ovitters <ovitters> 1.8.2-1.mga6
+ Revision: 914894
- new version 1.8.2

* Wed Nov 04 2015 ovitters <ovitters> 1.7.0-1.mga6
+ Revision: 897874
- new version 1.7.0

* Tue Sep 01 2015 ovitters <ovitters> 1.6.1-4.mga6
+ Revision: 872077
- client/server should be in its own package

* Tue Sep 01 2015 ovitters <ovitters> 1.6.1-3.mga6
+ Revision: 871702
- follow package naming guidelines
- follow packaging guidelines

* Wed Aug 26 2015 ovitters <ovitters> 1.6.1-2.mga6
+ Revision: 870051
- fix requires

* Wed Aug 26 2015 ovitters <ovitters> 1.6.1-1.mga6
+ Revision: 870040
- fix group
- cleanup spec
- imported package libQtShadowsocks

